/* FLASHJS - DEFAULT THEME */
/* FLASH JS THEME VARIABLES */
.flash-container {
    position: fixed;
    top: 75px;
    right: 15px;
    z-index: 1000;
    max-width: 25%;
}

.flash-container .flash-message {
    position: relative;
    opacity: 0;
    min-height: 28px;
    -webkit-transform: translateX(-20px);
    -ms-transform: translateX(-20px);
    transform: translateX(-20px);
    -webkit-transition: all .5s;
    -o-transition: all .5s;
    transition: all .5s;
    background-color: #fff;
    color: #2C3433;
    -webkit-border-radius: 0;
    border-radius: 0;
    -webkit-border-top-right-radius: 4px;
    border-top-right-radius: 4px;
    -webkit-border-bottom-right-radius: 4px;
    border-bottom-right-radius: 4px;
    margin-bottom: 10px;
    padding: 5px 35px 5px 20px;
    -webkit-box-shadow: 2px 2px 33px 8px rgba(0, 0, 0, 0.1);
    box-shadow: 2px 2px 33px 8px rgba(0, 0, 0, 0.1);
    line-height: 1.4;
    cursor: pointer;
}

.flash-container .flash-message .flash-progress {
    position: absolute;
    right: 0;
    top: auto;
    bottom: 0;
    left: 0;
    width: 0;
    height: 3px;
    opacity: 1;
    background-color: rgba(0, 0, 0, 0.15);
    -webkit-transition: opacity .1s;
    -o-transition: opacity .1s;
    transition: opacity .1s;
}

.flash-container .flash-message .flash-progress.is-hidden {
    opacity: 0;
}

.flash-container .flash-message .flash-progress.flash-progress-top {
    top: 0;
    bottom: auto;
}

.flash-container .flash-message:before {
    position: absolute;
    content: '';
    width: 7px;
    height: 100%;
    top: 0;
    bottom: 0;
    left: -7px;
    background-color: transparent;
    -webkit-border-top-left-radius: 4px;
    border-top-left-radius: 4px;
    -webkit-border-bottom-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.flash-container .flash-message:after {
    position: absolute;
    content: '';
    font-family: 'fontAwesome';
    top: 5px;
    right: 8px;
    text-align: center;
    vertical-align: middle;
    color: #9e9e9e;
}

.flash-container .flash-message.is-visible {
    opacity: 1;
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
}

.flash-container .flash-message.flash-success .flash-progress {
    background-color: rgba(76, 175, 80, 0.15);
}

.flash-container .flash-message.flash-success:before {
    background-color: #4CAF50;
}

.flash-container .flash-message.flash-success:after {
    color: rgba(76, 175, 80, 0.5);
    content: '\F058';
}

.flash-container .flash-message.flash-warning .flash-progress {
    background-color: rgba(255, 133, 27, 0.15);
}

.flash-container .flash-message.flash-warning:before {
    background-color: #FF851B;
}

.flash-container .flash-message.flash-warning:after {
    color: rgba(255, 133, 27, 0.5);
    content: '\F071';
}

.flash-container .flash-message.flash-danger .flash-progress,
.flash-container .flash-message.flash-error .flash-progress {
    background-color: rgba(255, 65, 54, 0.15);
}

.flash-container .flash-message.flash-danger:before,
.flash-container .flash-message.flash-error:before {
    background-color: #FF4136;
}

.flash-container .flash-message.flash-danger:after,
.flash-container .flash-message.flash-error:after {
    color: rgba(255, 65, 54, 0.5);
    content: '\F06A';
}

.flash-container .flash-message.flash-info .flash-progress {
    background-color: rgba(0, 116, 217, 0.15);
}

.flash-container .flash-message.flash-info:before {
    background-color: #0074D9;
}

.flash-container .flash-message.flash-info:after {
    color: rgba(0, 116, 217, 0.5);
    content: '\F05A';
}

.flash-container .flash-message.flash-bug .flash-progress {
    background-color: rgba(138, 43, 226, 0.15);
}

.flash-container .flash-message.flash-bug:before {
    background-color: #8A2BE2;
}

.flash-container .flash-message.flash-bug:after {
    color: rgba(138, 43, 226, 0.5);
    content: '\F188';
}

.flash-container .flash-message.flash-disabled .flash-progress {
    background-color: rgba(170, 170, 170, 0.15);
}

.flash-container .flash-message.flash-disabled:before {
    background-color: #aaa;
}

.flash-container .flash-message.flash-disabled:after {
    color: rgba(170, 170, 170, 0.5);
    content: '\F05E';
}

.flash-container .flash-message.flash-default {
    padding-right: 20px;
}

@media all and (max-width: 1280px) {
    .flash-container {
        max-width: 33.334%;
    }
}

@media all and (max-width: 768px) {
    .flash-container {
        max-width: 50%;
    }
}

@media all and (max-width: 480px) {
    .flash-container {
        right: 10px;
        left: 10px;
        max-width: 100%;
    }
}

/* FLASH JS DARK THEME */
.flash-container .flash-message.dark-theme {
    background-color: #2C3433;
    color: #fff;
}

.flash-container .flash-message.dark-theme .flash-progress {
    background-color: rgba(255, 255, 255, 0.5);
}
.flash-container-wrapper {
    float: left;
    width: 100%;
}
.flash-btns {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.flash-btns .btn {
    min-width: 180px;
    padding: 8px 5px;
    background-color: #fff;
    border: 2px solid #2C3433;
    color: #2C3433;
    border-radius: 25px;
    margin: .5em !important;
}

.flash-btns .btn:hover {
    color: #2C3433;
    background-color: transparent;
}

.flash-btns .btn:focus {
    outline: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.flash-btns .btn-success {
    border: 2px solid #449d48;
    background-color: #4CAF50;
    color: #fff;
}

.flash-btns .btn-success:hover {
    border: 2px solid #449d48;
}

.flash-btns .btn-warning {
    border: 2px solid #ff7702;
    background-color: #FF851B;
    color: #fff;
}

.flash-btns .btn-warning:hover {
    border: 2px solid #ff7702;
}

.flash-btns .btn-error {
    border: 2px solid #ff291d;
    background-color: #FF4136;
    color: #fff;
}

.flash-btns .btn-error:hover {
    border: 2px solid #ff291d;
}

.flash-btns .btn-info {
    border: 2px solid #0066c0;
    background-color: #0074D9;
    color: #fff;
}

.flash-btns .btn-info:hover {
    border: 2px solid #0066c0;
}

.flash-btns .btn-bug {
    border: 2px solid #7d1dd6;
    background-color: #8A2BE2;
    color: #fff;
}

.flash-btns .btn-bug:hover {
    border: 2px solid #7d1dd6;
}

.flash-btns .btn-disabled {
    border: 2px solid #9d9d9d;
    background-color: #aaa;
    color: #fff;
}

.flash-btns .btn-disabled:hover {
    border: 2px solid #9d9d9d;
}

.flash-btns .btn-dark {
    border: 2px solid #202625;
    background-color: #2C3433;
    color: #fff;
}

.flash-btns .btn-dark:hover {
    border: 2px solid #202625;
}

.flash-btns .btn-default:hover {
    color: #fff;
    background-color: #2C3433 !important;
    border: none;
}